# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PouleJsonldCompet(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'context': 'OneOfPouleJsonldCompetContext',
        'id': 'str',
        'type': 'str',
        'stage_number': 'int',
        'name': 'str',
        'cdg': 'CdgJsonldCompet',
        'diffusable': 'bool',
        'matchs': 'bool'
    }

    attribute_map = {
        'context': '@context',
        'id': '@id',
        'type': '@type',
        'stage_number': 'stage_number',
        'name': 'name',
        'cdg': 'cdg',
        'diffusable': 'diffusable',
        'matchs': 'matchs'
    }

    def __init__(self, context=None, id=None, type=None, stage_number=None, name=None, cdg=None, diffusable=None, matchs=None):  # noqa: E501
        """PouleJsonldCompet - a model defined in Swagger"""  # noqa: E501
        self._context = None
        self._id = None
        self._type = None
        self._stage_number = None
        self._name = None
        self._cdg = None
        self._diffusable = None
        self._matchs = None
        self.discriminator = None
        if context is not None:
            self.context = context
        if id is not None:
            self.id = id
        if type is not None:
            self.type = type
        if stage_number is not None:
            self.stage_number = stage_number
        if name is not None:
            self.name = name
        if cdg is not None:
            self.cdg = cdg
        if diffusable is not None:
            self.diffusable = diffusable
        if matchs is not None:
            self.matchs = matchs

    @property
    def context(self):
        """Gets the context of this PouleJsonldCompet.  # noqa: E501


        :return: The context of this PouleJsonldCompet.  # noqa: E501
        :rtype: OneOfPouleJsonldCompetContext
        """
        return self._context

    @context.setter
    def context(self, context):
        """Sets the context of this PouleJsonldCompet.


        :param context: The context of this PouleJsonldCompet.  # noqa: E501
        :type: OneOfPouleJsonldCompetContext
        """

        self._context = context

    @property
    def id(self):
        """Gets the id of this PouleJsonldCompet.  # noqa: E501


        :return: The id of this PouleJsonldCompet.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PouleJsonldCompet.


        :param id: The id of this PouleJsonldCompet.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def type(self):
        """Gets the type of this PouleJsonldCompet.  # noqa: E501


        :return: The type of this PouleJsonldCompet.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this PouleJsonldCompet.


        :param type: The type of this PouleJsonldCompet.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def stage_number(self):
        """Gets the stage_number of this PouleJsonldCompet.  # noqa: E501


        :return: The stage_number of this PouleJsonldCompet.  # noqa: E501
        :rtype: int
        """
        return self._stage_number

    @stage_number.setter
    def stage_number(self, stage_number):
        """Sets the stage_number of this PouleJsonldCompet.


        :param stage_number: The stage_number of this PouleJsonldCompet.  # noqa: E501
        :type: int
        """

        self._stage_number = stage_number

    @property
    def name(self):
        """Gets the name of this PouleJsonldCompet.  # noqa: E501


        :return: The name of this PouleJsonldCompet.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PouleJsonldCompet.


        :param name: The name of this PouleJsonldCompet.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def cdg(self):
        """Gets the cdg of this PouleJsonldCompet.  # noqa: E501


        :return: The cdg of this PouleJsonldCompet.  # noqa: E501
        :rtype: CdgJsonldCompet
        """
        return self._cdg

    @cdg.setter
    def cdg(self, cdg):
        """Sets the cdg of this PouleJsonldCompet.


        :param cdg: The cdg of this PouleJsonldCompet.  # noqa: E501
        :type: CdgJsonldCompet
        """

        self._cdg = cdg

    @property
    def diffusable(self):
        """Gets the diffusable of this PouleJsonldCompet.  # noqa: E501


        :return: The diffusable of this PouleJsonldCompet.  # noqa: E501
        :rtype: bool
        """
        return self._diffusable

    @diffusable.setter
    def diffusable(self, diffusable):
        """Sets the diffusable of this PouleJsonldCompet.


        :param diffusable: The diffusable of this PouleJsonldCompet.  # noqa: E501
        :type: bool
        """

        self._diffusable = diffusable

    @property
    def matchs(self):
        """Gets the matchs of this PouleJsonldCompet.  # noqa: E501


        :return: The matchs of this PouleJsonldCompet.  # noqa: E501
        :rtype: bool
        """
        return self._matchs

    @matchs.setter
    def matchs(self, matchs):
        """Sets the matchs of this PouleJsonldCompet.


        :param matchs: The matchs of this PouleJsonldCompet.  # noqa: E501
        :type: bool
        """

        self._matchs = matchs

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PouleJsonldCompet, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PouleJsonldCompet):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
